FileVisitResult (Java SE 14 & JDK 14)
Description: declaration: module: java.base, package: java.nio.file, enum: FileVisitResult
Keywords: java.nio.file.FileVisitResult class

Module java.base
Package java.nio.file

# Enum FileVisitResult

java.lang.Object
java.lang.Enum<FileVisitResult>
java.nio.file.FileVisitResult

All Implemented Interfaces:
  `Serializable`, `Comparable<FileVisitResult>`, `Constable`

    public enum FileVisitResult
    extends Enum<FileVisitResult>

The result type of a `FileVisitor`.

Since:
  1.7
See Also:
  `Files.walkFileTree(java.nio.file.Path, java.util.Set<java.nio.file.FileVisitOption>, int, java.nio.file.FileVisitor<? super java.nio.file.Path>)`

- ## Nested Class Summary

  ## Nested classes/interfaces declared in class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant | Description
  --- | ---
  `CONTINUE` | Continue.
  `SKIP_SIBLINGS` | Continue without visiting the siblings of this file or directory.
  `SKIP_SUBTREE` | Continue without visiting the entries in this directory.
  `TERMINATE` | Terminate.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `static FileVisitResult` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
  `static FileVisitResult[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods declared in class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods declared in class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### CONTINUE

    public static final FileVisitResult CONTINUE
    Continue. When returned from a `preVisitDirectory` method then the entries in the directory should also be visited.

  - ### TERMINATE

    public static final FileVisitResult TERMINATE
    Terminate.

  - ### SKIP_SUBTREE

    public static final FileVisitResult SKIP_SUBTREE
    Continue without visiting the entries in this directory. This result is only meaningful when returned from the `preVisitDirectory` method; otherwise this result type is the same as returning `CONTINUE`.

  - ### SKIP_SIBLINGS

    public static final FileVisitResult SKIP_SIBLINGS
    Continue without visiting the siblings of this file or directory. If returned from the `preVisitDirectory` method then the entries in the directory are also skipped and the `postVisitDirectory` method is not invoked.

- ## Method Details

  - ### values

    public static FileVisitResult[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static FileVisitResult valueOf​(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null